| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Enumerations | Variables
mediactrl.h File Reference

## Classes

class | wxMediaEvent
| Event wxMediaCtrl uses. More...
class | wxMediaCtrl
| wxMediaCtrl is a class for displaying types of media, such as videos, audio files, natively through native codecs. More...

## Enumerations

enum | wxMediaState { wxMEDIASTATE_STOPPED, wxMEDIASTATE_PAUSED, wxMEDIASTATE_PLAYING }
| Describes the current state of the media. More...
enum | wxMediaCtrlPlayerControls { wxMEDIACTRLPLAYERCONTROLS_NONE = 0, wxMEDIACTRLPLAYERCONTROLS_STEP = 1 << 0, wxMEDIACTRLPLAYERCONTROLS_VOLUME = 1 << 1, wxMEDIACTRLPLAYERCONTROLS_DEFAULT }

## Variables

wxEventType | wxEVT_MEDIA_LOADED
wxEventType | wxEVT_MEDIA_STOP
wxEventType | wxEVT_MEDIA_FINISHED
wxEventType | wxEVT_MEDIA_STATECHANGED
wxEventType | wxEVT_MEDIA_PLAY
wxEventType | wxEVT_MEDIA_PAUSE

## Enumeration Type Documentation

enum wxMediaCtrlPlayerControls

Enumerator
wxMEDIACTRLPLAYERCONTROLS_NONE | No controls. return wxMediaCtrl to its default state.
wxMEDIACTRLPLAYERCONTROLS_STEP | Step controls like fastforward, step one frame etc.
wxMEDIACTRLPLAYERCONTROLS_VOLUME | Volume controls like the speaker icon, volume slider, etc.
wxMEDIACTRLPLAYERCONTROLS_DEFAULT | Default controls for the toolkit. Currently a combination for `wxMEDIACTRLPLAYERCONTROLS_STEP` and `wxMEDIACTRLPLAYERCONTROLS_VOLUME`.

enum wxMediaState

Describes the current state of the media.

See also
  wxMediaCtrl::GetState()

Enumerator
wxMEDIASTATE_STOPPED | No media is being currently played.
wxMEDIASTATE_PAUSED | Current media is paused.
wxMEDIASTATE_PLAYING | There is media currently playing.

## Variable Documentation

wxEventType wxEVT_MEDIA_FINISHED

wxEventType wxEVT_MEDIA_LOADED

wxEventType wxEVT_MEDIA_PAUSE

wxEventType wxEVT_MEDIA_PLAY

wxEventType wxEVT_MEDIA_STATECHANGED

wxEventType wxEVT_MEDIA_STOP